# Create a test lead

Creates a test lead. Works with Meta Ads.

```http
POST https://api.pozy.ai/v1/ads/lead-forms/{formId}/test-leads
```

- Area: Ads / Lead Gen
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `formId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `fieldData`, array of object, required: At least 1 item
  - `name`, string, required
  - `values`, array of string, required: At least 1 item

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/ads/lead-forms/6da2ff1d8c680bca61eb524a/test-leads" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "fieldData": [
    {
      "name": "Acme",
      "values": [
        "string"
      ]
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/lead-forms/6da2ff1d8c680bca61eb524a/test-leads", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    fieldData: [
      {
        name: "Acme",
        values: [
          "string"
        ]
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/ads/lead-forms/6da2ff1d8c680bca61eb524a/test-leads",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "fieldData": [
            {
                "name": "Acme",
                "values": [
                    "string",
                ],
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `status`, string
- `testLead`, object
  - `id`, string

```json
{
  "status": "active",
  "testLead": {
    "id": "6bfebd43ddc270f6d2c56fc5"
  }
}
```
